Difference between revisions of "UnrealEnginePPC64"

From Power Progress Community Projects Wiki
Jump to navigation Jump to search
Line 22: Line 22:
 
cd UnrealEngine <br>
 
cd UnrealEngine <br>
 
./Engine/Build/BatchFiles/Linux/Toolchain/DockerOnWindows/build_linux_toolchain/build_linux_toolchain.sh <br></code>
 
./Engine/Build/BatchFiles/Linux/Toolchain/DockerOnWindows/build_linux_toolchain/build_linux_toolchain.sh <br></code>
 
 
;to fix all the dependencies that BuildThirdParty.sh will need - will download around 10GB
 
;to fix all the dependencies that BuildThirdParty.sh will need - will download around 10GB
 
<code>
 
<code>
./GitDependencies.sh<br>
+
./GitDependencies.sh
 
</code>
 
</code>
 
;Setup
 
;Setup

Revision as of 21:16, 6 April 2020

On Debian Sid PowerPC 64 unstable ( on T2080 RDB)

clone our fork of UnrealEngine branch that is a fork the huge work of Elvis that have ported UnrealEngine to PowerPC 64 Bit ( Little Endian) edowson/UnrealEngine

git clone https://github.com/robyinno/UnrealEngine.git

install mono and glang-8
apt install mono-complete
apt install clang-8
clang symbolic links
sudo ln -s /usr/bin/clang-8 /usr/bin/clang
sudo ln -s /usr/bin/clang++-8 /usr/bin/clang++

install libjemalloc-dev apt install libjemalloc-dev

jemalloc.h symbolic link on Unreal source

cd Engine/Source/Runtime/Core/Private/HAL
ln -s /usr/include/jemalloc/jemalloc.h .

Other needed packages
apt-get install texinfo
To Compile gcc and clang

cd UnrealEngine
./Engine/Build/BatchFiles/Linux/Toolchain/DockerOnWindows/build_linux_toolchain/build_linux_toolchain.sh

to fix all the dependencies that BuildThirdParty.sh will need - will download around 10GB

./GitDependencies.sh

Setup

./Setup.sh
./GenerateProjectFiles.sh

Prerequisites
apt install unzip
apt install help2man
apt install gawk
apt install libtool-bin
apt install swig libedit-dev

Useful Info about Build UnReal on Linux https://wiki.unrealengine.com/Building_On_Linux

Problems

During ./GenerateProjectFiles.sh in the output there is "Python SDK not found"
Look like is needed package pythonnet installable via pip3 but it give the error:

error: option --single-version-externally-managed not recognized it seem a bug in mono that should be fixed from few days... waiting new version
Tryied different workaround like: python3 -m pip install -U wheel pip3 install -U setuptools

even installing from source /usr/bin/python3 -m pip install -U git+https://github.com/pythonnet/pythonnet --user
even compiling from git repo

git clone https://github.com/pythonnet/pythonnet
cd pythonnet/
python setup.py bdist_wheel

give an error:

Error: SecureChannelFailure (Authentication failed, see inner exception.) Authentication failed, see inner exception.
/usr/lib/../lib/libmono-btls-shared.so assembly:<unknown assembly> type:<unknown type> member:(null)

This libmono-btls-shared.so is not installed because for ppc64 is not compiled https://packages.debian.org/sid/libmono-btls-interface4.0-cil